<?php
/**
 * @version     $Id$
 * @package     WebDevTrack
 * @subpackage  com_webdevtrack
 * @copyright   Copyright 2010 - 2011 Jumbotron Sports. All rights reserved.
 * @license     GNU General Public License version 2 or later.
 */

// No direct access
defined('_JEXEC') or die;

//JHtml::addIncludePath(JPATH_COMPONENT.'helpers/html');
JHtml::stylesheet('com_webdevtrack/admin.css', null, true);
JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
JHtml::_('behavior.keepalive');
?>
<script type="text/javascript">
	// Attach a behaviour to the submit button to check validation.
	Joomla.submitbutton = function(task)
	{
		var form = document.id('version-form');
		if (task == 'version.cancel' || document.formvalidator.isValid(form)) {
			<?php echo $this->form->getField('body')->save(); ?>
			Joomla.submitform(task, form);
		}
		else {
			<?php JText::script('COM_WEBDEVTRACK_ERROR_N_INVALID_FIELDS'); ?>
			// Count the fields that are invalid.
			var elements = form.getElements('fieldset').concat(Array.from(form.elements));
			var invalid = 0;

			for (var i = 0; i < elements.length; i++) {
				if (document.formvalidator.validate(elements[i]) == false) {
					valid = false;
					invalid++;
				}
			}

			alert(Joomla.JText._('COM_WEBDEVTRACK_ERROR_N_INVALID_FIELDS').replace('%d', invalid));
		}
	}
</script>

<form action="<?php echo JRoute::_('index.php?option=com_webdevtrack&layout=edit&id='.(int) $this->item->id); ?>"
	method="post" name="adminForm" id="version-form" class="form-validate">
	<div class="width-60 fltlft">
		<fieldset class="adminform">
			<ul class="adminformlist">
				<li>
					<?php echo $this->form->getLabel('software_id'); ?>
					<?php echo $this->form->getInput('software_id'); ?>
				</li>

				<li>
					<?php echo $this->form->getLabel('software'); ?>
					<?php echo $this->form->getInput('software'); ?>
				</li>

				<li>
					<?php echo $this->form->getLabel('version'); ?>
					<?php echo $this->form->getInput('version'); ?>
				</li>

			</ul>

			<?php echo $this->form->getLabel('body'); ?>
			<div class="clr"></div>
			<?php echo $this->form->getInput('body'); ?>

		</fieldset>
	</div>
	<div class="width-40 fltrt">
		<?php echo JHtml::_('sliders.start','version-sliders-'.$this->item->id, array('useCookie' => 1)); ?>

		<?php echo $this->loadTemplate('other'); ?>

		<?php echo $this->loadTemplate('metadata'); ?>

	</div>
	<div class="clr"></div>
	
	<div class="com_copyright"><?php echo JText::_('COM_WEBDEVTRACK_COPYRIGHT'); ?></div>

	<input type="hidden" name="task" value="" />
	<?php echo JHtml::_('form.token'); ?>
</form>